PHP K�sikirja
Edellinen |  | Seuraava

# PDO::lastInsertId

(no version information, might be only in CVS)

PDO::lastInsertId -- Returns the ID of the last inserted row

## Description

int PDO::lastInsertId ( void )

Varoitus
Varoitus! T�m� funktio on EKSPERIMENTAALINEN. T�m�n funktion ominaisuudet, k�ytt�ytyminen, parametrit ja nimi voi muuttua varoituksetta seuraavissa PHP:n versioissa.

> Huomaa: Due to differences between database server implementations, this method may not always return a meaningful result.

## Return values

Returns an integer representing the row ID of the last row that was inserted into the database. If the PDO driver does not support this capability, PDO::lastInsertID() issues a PDOWarning exception.

Edellinen | Alkuun | Seuraava
PDO::getAttribute | Ylös | PDO::prepare